WordPress.org

Ready to get started?Download WordPress

Forums

Old Version (4 posts)

  1. AlisonMooreSmith
    Member
    Posted 4 years ago #

    I have one really old blog that is using WP 2.1.3. I haven't upgraded because it uses the Janine plugin to hack the comments into a Vanilla forum.

    So, is there any way to upgrade such a site?

  2. MichaelH
    Member
    Posted 4 years ago #

    Assuming the plugins you need work in 2.8.4, then you should be able to upgrade.

    Best results have been reported by upgrading in incremental steps, though in theory you should be able to go directly from 2.1.3 to 2.8.4.

    Incrementally, upgrade 2.1.3 to 2.2, 2.3 to 2.5, 2.5 to 2.6, 2.6 to 2.7, 2.7 to 2.8. That last step can be done automatically with the native upgrade in Tools->Upgrade.

    Review Upgrading WordPress.

  3. AlisonMooreSmith
    Member
    Posted 4 years ago #

    Thanks, Michael. How can I tell if the plug-in works in the current version -- given that it hasn't been updated for some time?

  4. MichaelH
    Member
    Posted 4 years ago #

    Could ask the plugin author or look at the compatibility pages.

    http://codex.wordpress.org/Plugins/Plugin_Compatibility
    http://codex.wordpress.org/Themes/Theme_Compatibility

    Also see the Migrating Plugins and Themes to x.x pages listed under the M here:
    http://codex.wordpress.org/Category:Advanced_Topics

Topic Closed

This topic has been closed to new replies.

About this Topic